set(sources
    src/exp/RfVariable.cpp
    src/exp/RfVar.cpp
    src/exp/RfExpVector.cpp    
    src/exp/RfExpV.cpp            
    src/exp/RfExpListElement.cpp
    src/exp/RfExpList.cpp        
    src/exp/RfExpL.cpp                
    src/exp/RfExpLin.cpp                    
    src/model/RfConstraintPoly.cpp
    src/model/RfCon.cpp
    src/model/RfModel.cpp
    src/model/RfMod.cpp
    src/model/RfSolution.cpp
    src/model/RfSol.cpp        
    src/algo/RfSubproblem.cpp
    src/algo/RfSubpro.cpp    
    src/algo/RfRestrictAndFix.cpp
    src/algo/RfRNF.cpp    
    src/solver/RfSolverInterface.cpp
    src/solver/RfMPSolver.cpp    
    src/solver/RfMPS.cpp        
)

set(exe_sources
    src/main/RfMain.cpp
    ${sources}
)

set(headers
    include/rf/exp/RfVariable.hpp
    include/rf/exp/RfVar.hpp
    include/rf/exp/RfExpVector.hpp
    include/rf/exp/RfExpV.hpp        
    include/rf/exp/RfExpListElement.hpp  
    include/rf/exp/RfExpList.hpp      
    include/rf/exp/RfExpL.hpp          
    include/rf/exp/RfExpLin.hpp              
    include/rf/model/RfConstraintPoly.hpp
    include/rf/model/RfCon.hpp
    include/rf/model/RfSolvable.hpp    
    include/rf/model/RfModel.hpp
    include/rf/model/RfMod.hpp
    include/rf/model/RfSolution.hpp
    include/rf/model/RfSol.hpp    
    include/rf/algo/RfSubproblem.hpp    
    include/rf/algo/RfSubpro.hpp        
    include/rf/algo/RfRestrictAndFix.hpp
    include/rf/algo/RfRNF.hpp    
    include/rf/solver/RfSolverInterface.hpp
    include/rf/solver/RfMPSolver.hpp    
    include/rf/solver/RfMPS.hpp        
    include/rf/RfTypes.hpp
)

set(test_sources
    src/exp/RfVariable_test.cpp 
    src/exp/RfVar_test.cpp 
    src/exp/RfExpL_test.cpp
    src/exp/RfExpLin_test.cpp    
    src/model/RfConstraintPoly_test.cpp
    src/model/RfCon_test.cpp
    src/model/RfModel_test.cpp
    src/model/RfMod_test.cpp
    src/algo/RfSubproblem_test.cpp
    src/algo/RfSubpro_test.cpp
    src/algo/RfRestrictAndFix_test.cpp
    src/algo/RfRNF_test.cpp    
    src/solver/RfMPSolver_test.cpp        
    src/solver/RfMPS_test.cpp            
)
